uses
   Kernel;

const
  FlEnd : Boolean = False;

{$F+}
procedure aaa(bb: Byte);
{$F-}
begin
  Start('Proc1',2000,90,254);Exit;
  repeat
  until FlEnd;
end;


{$F+}
procedure bbb;
{$F-}
begin
   Start('b',2000,100,100);Exit;
   repeat
     Write('a');
     Wait(18);
   until FlEnd;
end;

begin
  StartMain(250,254);
  InitInterruptStack(1,8000);
  StartTimeSlicing($8);

  aaa(1);
  bbb;
  SetPriority(10,254);

  repeat
  until FlEnd;

  Abort('*');
  TerminateMain;
end.
